Bug 75353 - IMPS/2 protocol Not functioning correctly
IMPS/2 protocol Not functioning correctly
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-10-07 12:04 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-24 13:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-07 12:04:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I have a logitech cordless mouseman optical.  It works fine in RH 7.2 but in
8.0, if I select imps/2 for the protocol, the mouse "goes nuts" when it's moved.
 The configuration from the RedHat 7.2:

Section "InputDevice"
  Driver       "mouse"
  Identifier   "Mouse0"
  Option       "ButtonNumber" "5"
  Option       "Device" "/dev/mouse"
  Option       "Name" "AutoDetected"
  Option       "Protocol" "imps/2"
  Option       "Vendor" "AutoDetected"
  Option       "ZAxisMapping" "4 5"

From 8.0:

Section "InputDevice"
        Driver          "mouse"
        Identifier      "Mouse0"
        Option       "ButtonNumber" "5"
        Option          "Device"                "/dev/mouse"
        Option          "Protocol"              "ps/2"
        Option       "Vendor" "AutoDetected"
        Option          "Buttons"               "5"
        Option          "ZAxisMapping"          "4 5"

When I use Option          "Protocol"              "ps/2", the mouse functions,
but the wheel doesn't function.  If I use Option          "Protocol"           
  "IMPS/2", the mouse starts opening windows, moving folders around, and basicly
goes nuts when it's moved.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Use the IMPS/2 protocol with the mouse configuration section in XF86Config
3.move mouse

Actual Results:  windows start opening, open objects start moving around,
general chaos occurs.

Expected Results:  mouse pointer should move in the direction the mouse is moving.

Additional info:
Comment 1 Mike A. Harris 2002-10-08 03:44:04 EDT
When a mouse is probed, or once it has been configured to use a specific
protocol, the mouse can be frozen in that state, and require a full
hardware reset to be initialized properly.  It is not at all uncommon
for mouse misconfiguration to make the mouse completely inoperable and
even cause random erratic mouse and keyboard behaviour.  Only a full
system powerdown can reset the mouse in this case.

Configure IMPS/2, then exit.  Shutdown the computer completely and
power it right off.  Then power it back up, and start X up, and the
mouse should work fine with IMPS/2.

Does it?
Comment 2 Need Real Name 2002-10-08 09:10:09 EDT
Sorry, no dice, it's still wiggin out.
Comment 3 Mike A. Harris 2004-09-24 13:58:02 EDT
We're unable to reproduce this issue in our current OS release.
Please upgrade to Fedora Core 2 or later, and if this issue
turns out to still be reproduceable, please file a bug report
in the X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.